### Enumeration

# Ggit SubmoduleIgnore

#### Declaration

    enum Ggit.SubmoduleIgnore

#### Description [src]

Describes which submodules should be ignored.

#### Members

Name | Description
--- | ---
`GGIT_SUBMODULE_IGNORE_UNSPECIFIED` | Reset to on-disk value.
`GGIT_SUBMODULE_IGNORE_NONE` | Don’t ignore any change.
`GGIT_SUBMODULE_IGNORE_UNTRACKED` | Ignore untracked files.
`GGIT_SUBMODULE_IGNORE_DIRTY` | Ignore changes in the working directory.
`GGIT_SUBMODULE_IGNORE_ALL` | Never check if the submodule is dirty.